%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: d-feet 
Version: 0.1.8
Release: 1%{?dist}
Summary: A powerful D-Bus Debugger
Group: Development/Tools
License: GPLv2+
URL: http://hosted.fedoraproject.org/projects/d-feet
Source0: http://johnp.fedorapeople.org/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: pygtk2-devel
BuildRequires: python-setuptools-devel
BuildRequires: gettext
Requires: python-setuptools
Requires: python >= 2.4
Requires: pygtk2

%description
D-Feet is an easy to use D-Bus debugger.

D-Bus is an RPC library used on the Desktop.  D-Feet can be used to inspect
D-Bus objects of running programs and invoke methods on those objects.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

desktop-file-install --vendor=""                 \
  --delete-original                              \
  --dir=%{buildroot}%{_datadir}/applications     \
  %{buildroot}%{_datadir}/applications/dfeet.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README

%{python_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/dfeet/
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/applications/dfeet.desktop

%changelog
* Mon Jan 07 2008 John (J5) Palmieri <johnp@redhat.com> - 0.1.8-1
- update to upstream 0.1.8
- complex types are now supported in the output
- fixed a typo s/Unkown/Unknown

* Mon Jan 07 2008 John (J5) Palmieri <johnp@redhat.com> - 0.1.7-1
- update to upstream 0.1.7
- update the license for _introspect_parser.py to permissive
  since dbus-python was relicense (this just makes including this code
  easier since the GPL/AFL dual license confused some people)
- add placeholder icons to denote methods, properties and signals
  does someone want to make a standard set of programmer tool icons?
- default service icon now added to the package for distributions
  that do not ship an icon called icon-service
- argument types now show the parameter name if given in the introspect data
- selecting a property now attempts to read the propety and display a value
- prettier formatting for introspect output
- various bug fixes

* Wed Dec 12 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.6-1
- update to upstream 0.1.6 which fixes issues with .ui files not being installed

* Wed Dec 12 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.5-1
- update to upstream 0.1.5
- attach to any bus
- execute button makes executing methods more descoverable
- icons show up if app associated with a name has a toplevel window
- initial support for icons on introspect nodes 
- syntax highlighting for methods and signals
- support for property lists in the introspect data
- tabs are restored when started again

* Fri Dec 07 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.4-1
- update to upstream 0.1.4 which cleans up some bugs
- remove scrollkeeper BR
- make use description does not exceed 80 characters per line

* Wed Dec 05 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.3-1
- update to upstream 0.1.3 which cleans up the .desktop file and
  only install the icon in the hicolor theme

* Wed Dec 05 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-3
- pick up %%{python_sitelib}/* instead of %%{python_sitelib}/dfeet/
  in files section so we pick up the python egg stuff

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-2
- clean up spec file

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-1
- update to 0.1.2 which fixes the .desktop file so it validates

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.1-1
- update to 0.1.1 which fixes the .desktop file category 

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1-1
- Initial build.
